> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw

> Withdraw a specific amount of a token from a reserve



## OpenAPI

````yaml /openapi/save.json post /v0/lending/{marketAddress}/reserves/{reserve}/withdraw
openapi: 3.1.1
info:
  title: Save Blinks
  version: 0.0.1
servers:
  - url: https://save.dial.to/api
security: []
paths:
  /v0/lending/{marketAddress}/reserves/{reserve}/withdraw:
    post:
      tags:
        - Lending
      summary: Withdraw
      description: Withdraw a specific amount of a token from a reserve
      operationId: save.v0.lending.withdrawToken
      parameters:
        - name: marketAddress
          in: path
          required: true
          schema:
            type: string
            description: Market address
            default: 4UpD2fh7xH3VP9QQaXtsS1YY3bxzWhtfpks7FatyKvdY
        - name: reserve
          in: path
          required: true
          schema:
            type: string
            description: Reserve address
            default: BgxfHJDzm44T7XG68MYKx7YisTjZu73tVovyZSjJMpmw
        - name: percentage
          in: query
          required: true
          schema:
            type: integer
            minimum: -9007199254740991
            maximum: 100
            exclusiveMinimum: 0
            description: The percentage of balance to withdraw
            default: 100
          allowEmptyValue: true
          allowReserved: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - transaction
                  default: transaction
                account:
                  type: string
                  description: The public key of the account that executes the transaction
                  default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
              required:
                - type
                - account
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: transaction
                  transaction:
                    type: string
                required:
                  - type
                  - transaction

````